%define name 	apradar
%define version 0.52
%define release 2mdk

Summary: 	Wireless Ethernet Association Manager and Netstumbler.
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://apradar.sourceforge.net/
License: 	MIT
Group: 		Networking/Other
Source: 	%{name}-%{version}.tar.bz2
Patch0:		apradar-0.52-gcc34.patch.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
Buildrequires: 	gtkmm2.0-devel libsigc++-devel
BuildRequires: 	automake1.7 libiw-devel
BuildRequires:	ImageMagick

%description
AP Radar is a wireless association manager and netstumbler.
It presents a GUI that lists all the access points in range.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%_datadir/%name
install -s -m 644 src/*.png $RPM_BUILD_ROOT%_datadir/%name
install -s -m 644 src/*.xpm $RPM_BUILD_ROOT%_datadir/%name

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/apradar"\
title="Apradar"\
longtitle="Wireless network GUI"\
needs="x11"\
icon="%name.png"\
section="System/Configuration/Networking"
EOF
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/icon.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/icon.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/icon.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README 
%_bindir/%name
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Jul 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.52-2mdk
- rebuild with new g++
- patch 0: fix compiling with new g++

* Sun May 23 2004 Austin Acton <austin@mandrake.org> 0.52-1mdk
- 0.52

* Fri May 14 2004 Austin Acton <austin@mandrake.org> 0.51-1mdk
- 0.51
- add icons
- move to System/Configuration/Networking

* Sun May 2 2004 Austin Acton <austin@mandrake.org> 0.50-2mdk
- rebuild for libiw27
- configure 2.5
- tidy spec
- improve menu

* Wed Jan 14 2004 Franck Villaume <fvill@freesurf.fr> 0.50-1mdk
- 0.50
- some buildrequires
- INSTALL file disappear
- no need aclocal, automake

* Wed Sep 10 2003 Michael Scherer <scherer.michael@free.fr> 0.43-2mdk 
- fix BuildRequires ( libgtkmm2.0-devel )
- drop patch #1, fixed in glibc
- rerun aclocal and automake-1.7, to fix automated build.
- use macro for menu

* Tue Sep 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.43-1mdk
- 0.43

* Thu Jul 24 2003 Michael Scherer <scherer.michael@free.fr> 0.40-2mdk
- fix Buildrequires
- patch1 : fix the compilation ( #define u32 => __u32 ) 
- fix menu icon

* Mon Dec 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.40-1mdk
- patch0: move datadir to %__datadir

- from Donald Park <donp@personaltelco.net> :
	- created autoconf/automake scripts
	- added IP monitoring
	- launches dhcp clien on associate command

* Tue Oct 29 2002 Donald Park <donp@personaltelco.net> 
- Fixed code to compile with gcc 3.2
- Changed wep off/on to open/closed warchalk mark

* Wed Sep 4 2002 Donald Park <donp@personaltelco.net> 
- RPM buildtest


